# eric4.QScintilla.Lexers.LexerRuby

Module implementing a Ruby lexer with some additional methods.

### Classes

LexerRuby | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerRuby

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerRuby, Lexer

### Methods

LexerRuby | Constructor

#### LexerRuby (Constructor)

LexerRuby(parent=None)

Constructor

parent
  parent widget of this lexer

Up